# Run tests in check section
%bcond_without check

%global goipath         github.com/googleapis/gax-go
Version:                2.0.5

%gometa

%global common_description %{expand:
Google API Extensions for Go (gax-go) is a set of modules which aids the
development of APIs for clients and servers based on gRPC and Google API
conventions.

Application code will rarely need to use this library directly, but the
code generated automatically from API definition files can use it to simplify
code generation and to provide more convenient and idiomatic API surface.}

%global golicenses      LICENSE
%global godocs          CODE_OF_CONDUCT.md CONTRIBUTING.md README.md RELEASING.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Google API Extensions for Go

# Upstream license specification: BSD-3-Clause
License:        BSD
Group:          Development/Other
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/status)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



%changelog
* Fri Sep 04 2020 pterjan <pterjan> 2.0.5-1.mga8
+ Revision: 1621715
- Modernize and update to 2.0.5

* Mon Jun 15 2020 joequant <joequant> 2.0.0-1.mga8
+ Revision: 1593317
- fix spec

* Sun Nov 25 2018 pterjan <pterjan> 2.0.0-1.mga7
+ Revision: 1334408
- imported package golang-github-googleapis-gax

